pub fn greeting(name: &str) -> String {
    String::from("Witaj!")
}

#[cfg(test)]
mod tests {
    use super::*;

    // ANCHOR: here
    #[test]
    fn greeting_contains_name() {
        let result = greeting("Karolino");
        assert!(
            result.contains("Karolino"),
            "Powitanie nie zawierało imienia, wartością było `{}`",
            result
        );
    }
    // ANCHOR_END: here
}
